User Tools

Site Tools


wiki:development:deb-buildguide

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
wiki:development:deb-buildguide [2017/03/04 12:52]
gratuxri [Get the build and development dependencies]
wiki:development:deb-buildguide [2020/05/26 14:57] (current)
danger89 [Get the build and development dependencies]
Line 17: Line 17:
 ==== Get the build and development dependencies ==== ==== Get the build and development dependencies ====
  
-Then you should use your favorite available packet manager to install ​the build dependencies although I'm not 100% sure wether we need all of them or some are optional...+Install ​the following packages for development (Debian/​Ubuntu based distro): 
 + 
 +//Note:// Some packages ​are optional.
  
 <​code>​ <​code>​
-sudo apt-get install build-essential qt4-designer qtcreator qtcreator-doc \+sudo apt-get install build-essential ​qt4-default ​qt4-designer qtcreator qtcreator-doc \
                      ​qt4-demos qt4-doc qt4-dev-tools libqt4-dev git \                      ​qt4-demos qt4-doc qt4-dev-tools libqt4-dev git \
-                     qt-sdk ​libldap2-dev libssh-dev libxpm-dev libcups2-dev \+                     ​libldap2-dev libssh-dev libxpm-dev libcups2-dev \
                      ​debhelper doxygen man2html-base xutils-dev libpixman-1-dev\                      ​debhelper doxygen man2html-base xutils-dev libpixman-1-dev\
                      ​devscripts quilt libxcomposite-dev libxrandr-dev\                      ​devscripts quilt libxcomposite-dev libxrandr-dev\
                      ​libxtst-dev libxinerama-dev libxrender-dev pkg-config expat\                      ​libxtst-dev libxinerama-dev libxrender-dev pkg-config expat\
-                     ​libxmltok1-dev libxml2-dev ​libxfont1-dev+                     ​libxmltok1-dev libxml2-dev ​libxfont-dev
 </​code>​ </​code>​
  
-All up-to-date dependencies you can get with **dpkg-checkbuilddeps**+All up-to-date dependencies you can get with **dpkg-checkbuilddeps** ​command.
 ==== Build the actual code ==== ==== Build the actual code ====
  
wiki/development/deb-buildguide.txt · Last modified: 2020/05/26 14:57 by danger89